[Overview][Types][Classes][Index] | Reference for unit 'base64' (#fcl)

# TBase64EncodingStream.Write

Write data to the stream.

## Declaration

Source position: base64.pp line 42

`public function TBase64EncodingStream.Write(`
`const Buffer;`
`Count: LongInt`
`):LongInt; override;`

## Arguments

`Buffer` |  | Buffer with data to write
`Count` |  | Number of bytes from buffer to write

## Function result

Number of bytes from buffer actually used

## Description

Write encodes Count bytes from Buffer using the Base64 mechanism, and then writes the encoded data to the destination stream. It returns the number of bytes from Buffer that were actually written. Note that this is not the number of bytes written to the destination stream: the base64 mechanism writes more bytes to the destination stream.

## Errors

If there is an error writing to the destination stream, an error may occur.

## See also

TBase64EncodingStream.Seek |  | Position the stream
TBase64EncodingStream.Read |  | Read data from the stream
TBase64DecodingStream.Write |  | Write data to the stream
TStream.Write

The latest version of this document can be found at lazarus-ccr.sourceforge.net .